Bug 450180 - tellico displays default wayland icon in taskbar and titlebar instead of the correct app icion
Summary: tellico displays default wayland icon in taskbar and titlebar instead of the ...
Status: RESOLVED FIXED
Alias: None
Product: tellico
Classification: Unclassified
Component: general (show other bugs)
Version: 3.4.3
Platform: Fedora RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Robby Stephenson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-02-13 21:55 UTC by Gerald Cox
Modified: 2022-02-15 02:19 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 3.4.4


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gerald Cox 2022-02-13 21:55:32 UTC
SUMMARY
Tellico is displaying the default wayland icon in taskbar and titlebar instead of the correct application icon.

I've reported already for yubioath-authenticator (fix in updates
testing), copyq (fix in updates testing)

The fix is fairly simple:

Other applications, i.e. yubioath-authenticator and copyq have easily
corrected this issue with a 1 line change which sets proper window
identification for wayland:
Set QGuiApplication::desktopFileName
QGuiApplication::setDesktopFileName(QStringLiteral("com.xxxx.xxxx.xxxx"));

Their fixes can be found here:
https://github.com/hluk/CopyQ/pull/1911/commits/1a5b6208ff0baf4012f1452a2e46e40b078e4ff3
https://github.com/Yubico/yubioath-desktop/pull/781/commits/12cd8bb9a4ea83de913321ff8fac11498b4ccbdc

More information here:
https://nicolasfella.de/posts/fixing-wayland-taskbar-icons/
Comment 1 Robby Stephenson 2022-02-15 02:15:14 UTC
Git commit a76cc7caefb9859affe71c2a4b7413ed5a6ea528 by Robby Stephenson.
Committed on 15/02/2022 at 01:39.
Pushed by rstephenson into branch '3.4'.

Set desktop file name

Enables correct taskbar icon on Wayland
FIXED-IN: 3.4.4

M  +4    -0    ChangeLog
M  +2    -0    src/main.cpp

https://invent.kde.org/office/tellico/commit/a76cc7caefb9859affe71c2a4b7413ed5a6ea528
Comment 2 Robby Stephenson 2022-02-15 02:19:23 UTC
Git commit 7be492ad806f1855c3c43dbb3dca488f1c2aa107 by Robby Stephenson.
Committed on 15/02/2022 at 02:18.
Pushed by rstephenson into branch 'master'.

Set desktop file name

Enables correct taskbar icon on Wayland
FIXED-IN: 3.4.4

M  +4    -0    ChangeLog
M  +2    -0    src/main.cpp

https://invent.kde.org/office/tellico/commit/7be492ad806f1855c3c43dbb3dca488f1c2aa107